Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class OnDemandLogger

    java.lang.Object
      org.apache.axis2.util.OnDemandLogger

    public class OnDemandLogger

extends Object

The OnDemandLogger will defer the creation of the actual Log object until it is needed. This may be necessary to ensure that the Log implementation is consistent with the Log interface in the current class loader.

Constructor Summary
`OnDemandLogger(Class c)` Create an on-demand logger for the given class.

Method Summary
`void` | `debug(Object arg0)`
`void` | `debug(Object arg0, Throwable arg1)`
`void` | `error(Object arg0)`
`void` | `error(Object arg0, Throwable arg1)`
`void` | `fatal(Object arg0)`
`void` | `fatal(Object arg0, Throwable arg1)`
`boolean` | `hasLog()`
`void` | `info(Object arg0)`
`void` | `info(Object arg0, Throwable arg1)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isFatalEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `resetLog()` reset the Log object to force a reload
`void` | `trace(Object arg0)`
`void` | `trace(Object arg0, Throwable arg1)`
`void` | `warn(Object arg0)`
`void` | `warn(Object arg0, Throwable arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OnDemandLogger

    public OnDemandLogger(Class c)

  Create an on-demand logger for the given class.

  Parameters:
    `c` -

Method Detail

### resetLog

    public void resetLog()

  reset the Log object to force a reload

### hasLog

    public boolean hasLog()

  Returns:
    true if Log is set

### debug

    public void debug(Object arg0,
                      Throwable arg1)

### debug

    public void debug(Object arg0)

### error

    public void error(Object arg0,
                      Throwable arg1)

### error

    public void error(Object arg0)

### fatal

    public void fatal(Object arg0,
                      Throwable arg1)

### fatal

    public void fatal(Object arg0)

### info

    public void info(Object arg0,
                     Throwable arg1)

### info

    public void info(Object arg0)

### isDebugEnabled

    public boolean isDebugEnabled()

### isErrorEnabled

    public boolean isErrorEnabled()

### isFatalEnabled

    public boolean isFatalEnabled()

### isInfoEnabled

    public boolean isInfoEnabled()

### isTraceEnabled

    public boolean isTraceEnabled()

### isWarnEnabled

    public boolean isWarnEnabled()

### trace

    public void trace(Object arg0,
                      Throwable arg1)

### trace

    public void trace(Object arg0)

### warn

    public void warn(Object arg0,
                     Throwable arg1)

### warn

    public void warn(Object arg0)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.